Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_dma_int_reg_t Struct Reference
SoC Registers (D2000) | SoC Registers (SE)

DMA interrupt register map. More...

`#include <qm_soc_regs.h>`

## Data Fields
QM_RW uint32_t | raw_tfr_low
| RawTfr.
QM_RW uint32_t | raw_tfr_high
| RawTfr.
QM_RW uint32_t | raw_block_low
| RawBlock.
QM_RW uint32_t | raw_block_high
| RawBlock.
QM_RW uint32_t | raw_src_trans_low
| RawSrcTran.
QM_RW uint32_t | raw_src_trans_high
| RawSrcTran.
QM_RW uint32_t | raw_dst_trans_low
| RawDstTran.
QM_RW uint32_t | raw_dst_trans_high
| RawDstTran.
QM_RW uint32_t | raw_err_low
| RawErr.
QM_RW uint32_t | raw_err_high
| RawErr.
QM_RW uint32_t | status_tfr_low
| StatusTfr.
QM_RW uint32_t | status_tfr_high
| StatusTfr.
QM_RW uint32_t | status_block_low
| StatusBlock.
QM_RW uint32_t | status_block_high
| StatusBlock.
QM_RW uint32_t | status_src_trans_low
| StatusSrcTran.
QM_RW uint32_t | status_src_trans_high
| StatusSrcTran.
QM_RW uint32_t | status_dst_trans_low
| StatusDstTran.
QM_RW uint32_t | status_dst_trans_high
| StatusDstTran.
QM_RW uint32_t | status_err_low
| StatusErr.
QM_RW uint32_t | status_err_high
| StatusErr.
QM_RW uint32_t | mask_tfr_low
| MaskTfr.
QM_RW uint32_t | mask_tfr_high
| MaskTfr.
QM_RW uint32_t | mask_block_low
| MaskBlock.
QM_RW uint32_t | mask_block_high
| MaskBlock.
QM_RW uint32_t | mask_src_trans_low
| MaskSrcTran.
QM_RW uint32_t | mask_src_trans_high
| MaskSrcTran.
QM_RW uint32_t | mask_dst_trans_low
| MaskDstTran.
QM_RW uint32_t | mask_dst_trans_high
| MaskDstTran.
QM_RW uint32_t | mask_err_low
| MaskErr.
QM_RW uint32_t | mask_err_high
| MaskErr.
QM_RW uint32_t | clear_tfr_low
| ClearTfr.
QM_RW uint32_t | clear_tfr_high
| ClearTfr.
QM_RW uint32_t | clear_block_low
| ClearBlock.
QM_RW uint32_t | clear_block_high
| ClearBlock.
QM_RW uint32_t | clear_src_trans_low
| ClearSrcTran.
QM_RW uint32_t | clear_src_trans_high
| ClearSrcTran.
QM_RW uint32_t | clear_dst_trans_low
| ClearDstTran.
QM_RW uint32_t | clear_dst_trans_high
| ClearDstTran.
QM_RW uint32_t | clear_err_low
| ClearErr.
QM_RW uint32_t | clear_err_high
| ClearErr.
QM_RW uint32_t | status_int_low
| StatusInt.
QM_RW uint32_t | status_int_high
| StatusInt.

## Detailed Description

DMA interrupt register map.

Definition at line 1583 of file qm_soc_regs.h.